View Issue Details

IDProjectCategoryView StatusLast Update
0005707GNUnetbuild processpublic2019-05-12 13:29
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.4Fixed in Version0.11.4 
Summary0005707: ./configure picks up old cURL header even when --with-libgnurl is specified explicitly
DescriptionWhen both gnURL (new version) and cURL (old version from Debian) are installed, the configure script detects that *both* are there, and sets both gnunet_config.h macros.

As a result, since cURL comes first in the #ifdef, the cURL headers are included. This breaks the build! Instead, the GNUnet configure script should pick at most one of gnURL and cURL, never both!

It should also be clearly indicated at the end of the configure script *which* one has been picked up by ./configure.
TagsNo tags attached.

Relationships

related to 0005708 confirmed configure script should output summary of configuration, including libraries picked 

Activities

Florian Dold

2019-04-30 18:53

developer   ~0014360

Even worse: When passing "--with-libcurl=no", libcurl is *still* detected and the wrong headers take precedence.

Florian Dold

2019-04-30 20:52

developer   ~0014361

Should be fixed with https://git.gnunet.org/gnunet.git/commit/?id=8719f4fcc1685a320e648166cf6720c3e33f0434

Christian Grothoff

2019-05-02 08:15

manager   ~0014364

I've checked the patch, looks right.

Issue History

Date Modified Username Field Change
2019-04-30 18:44 Florian Dold New Issue
2019-04-30 18:44 Florian Dold Status new => assigned
2019-04-30 18:44 Florian Dold Assigned To => Christian Grothoff
2019-04-30 18:46 Florian Dold Relationship added related to 0005708
2019-04-30 18:53 Florian Dold Note Added: 0014360
2019-04-30 20:43 Florian Dold Assigned To Christian Grothoff => Florian Dold
2019-04-30 20:52 Florian Dold Status assigned => feedback
2019-04-30 20:52 Florian Dold Note Added: 0014361
2019-05-02 08:15 Christian Grothoff Status feedback => resolved
2019-05-02 08:15 Christian Grothoff Resolution open => fixed
2019-05-02 08:15 Christian Grothoff Fixed in Version => 0.11.4
2019-05-02 08:15 Christian Grothoff Note Added: 0014364
2019-05-02 08:15 Christian Grothoff Product Version => SVN HEAD
2019-05-02 08:15 Christian Grothoff Target Version => 0.11.4
2019-05-12 13:29 Christian Grothoff Status resolved => closed